- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QFrontFace
- Qt 6.8.2 Reference Documentation

# QFrontFace Class

class Qt3DRender::QFrontFace

The QFrontFace class defines front and back facing polygons. More...

Header: | `#include <QFrontFace>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | FrontFace
Inherits: | Qt3DRender::QRenderState
Status: | Deprecated

- List of all members, including inherited members

## Public Types

enum | WindingDirection { ClockWise, CounterClockWise }

## Properties

- direction : WindingDirection

## Public Functions

| QFrontFace(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QFrontFace::WindingDirection | direction() const

## Public Slots

void | setDirection(Qt3DRender::QFrontFace::WindingDirection direction)

## Signals

void | directionChanged(Qt3DRender::QFrontFace::WindingDirection direction)

## Detailed Description

A Qt3DRender::QFrontFace sets the winding direction of the front facing polygons.

See also QCullFace.

## Member Type Documentation

### enum QFrontFace::WindingDirection

This enumeration specifies the winding direction values.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QFrontFace::ClockWise` | `0x0900` | Clockwise polygons are front facing.
`Qt3DRender::QFrontFace::CounterClockWise` | `0x0901` | Counter clockwise polygons are front facing.

## Property Documentation

### direction : WindingDirection

Holds the winding direction of the front facing polygons. Default is Clockwise.

Access functions:

Qt3DRender::QFrontFace::WindingDirection | direction() const
void | setDirection(Qt3DRender::QFrontFace::WindingDirection direction)

Notifier signal:

void | directionChanged(Qt3DRender::QFrontFace::WindingDirection direction)

## Member Function Documentation

### `[explicit]` QFrontFace::QFrontFace(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QFrontFace::QFrontFace instance with the specified parent